RetailBox 6 compatibility 

iPhone 6s and later 

iPhone SE (1st generation) and later

iPhone

iPad Pro (all models)

iPad Air 2 and later

iPad mini 4 and later

iPad (5th generation) and later

iPad

iPod

iPod touch (7th generation)

RetailBox 6 requires iOS 14 and later.